import logging

from etcd3_wrapper import Etcd3Wrapper
from decouple import config

logging.basicConfig(
    level=logging.DEBUG,
    filename="log.txt",
    filemode="a",
    format="%(asctime)s: %(levelname)s - %(message)s",
    datefmt="%d-%b-%y %H:%M:%S",
)


WITHOUT_CEPH = config("WITHOUT_CEPH", False, cast=bool)

etcd_client = Etcd3Wrapper(host=config("ETCD_URL"))
